.post .page-body {
    position: relative;
    padding-bottom: 140px;
}
.wp-block-footnotes li{
    /*  is added by footnote.js */
    --top-dev: 1.8em;
    --top: 0;
    top: calc(var(--top) + var(--top-dev));
    left: var(--padding);
    z-index: 10;
    background-color: var(--background);
    padding: 13px 11px 60px 13px;
    border: 1px solid #000;
    max-width: 70%;
    min-width: 90px;
    opacity: 0;
    pointer-events: none;
}
.wp-block-footnotes li a[aria-label]{
    display: none;
}
.wp-block-footnotes li.fn-open {
    opacity: 1;
    pointer-events: auto;
}
.wp-block-footnotes li:before {
    content: var(--fn-index-text);
    display: inline-block;
    margin-right: 0.3em;
    font-size: 0.7em;
    vertical-align: super;
    margin-left:-0.15em;
}


.footnote-close {
    /* Close button styling */
    --icon-color: #000;
    --size: 36px;
    --icon-size: 30px;
    --icon-width: var(--icon-size);
    --icon-height: var(--icon-size);
    width: var(--size);
    height: var(--size);
    position: absolute;
    bottom: 2px;
    right: 2px;
    padding: 0;
    /* padding: 13px; */
    box-sizing: content-box;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}
.page-body sup a{
    --padding: 3px;
    padding: var(--padding);
    margin: calc(-1 * var(--padding));
}
.post-thumbnail-wrapper {
    width: 59vw;
    /* display: none; */
}
.post-thumbnail-wrapper img {
    width: 100%;
}
article.post .entry-header {
    margin-bottom: 20px;
}
.entry-title {
    font-size: 1.6rem;
    font-weight: 700;
    line-height: 1.17;
    margin-top: 5px;
    margin-bottom: 0px;
}
.author {
    font-size: 1.2rem;
    margin-top: 5px;
}
.page-info-wrapper {
    margin-top: 20px;
}
body.single .page-header ~ .page-body {
    padding-top: var(--padding);
}
.post-navigation {
    /* margin-top: 1.5em;
    padding-top: 8px; */
    border-top: 1px solid #000;
}
.navigation-post-wrapper + .navigation-post-wrapper {
    margin-top: 20px;
}
.navigation-post-link {
    display: inline-block;
    line-height: 18px;
    margin-top: 0.2em;
}
.navigation-post-head {
    display: flex;
    align-items: center;
    
    gap: 0.2em;
}
.share-buttons-label,
.navigation-post-head {
    font-size: 11px;
}
.share-buttons-label {
    margin-bottom: 1em;
}
.post-navigation .arrowhead {
    --icon-width: 0.9em;
    --icon-height: 0.9em;
    --icon-thickness: 1px;
    --icon-color: #000;
}
.navigation-post-title {
    font-weight: 700;
}
.wp-block-image {
    border-top: 1px solid #000;
    border-bottom: 1px solid #000;
    padding-top: 1em;
    padding-bottom: 1em;
    margin-bottom: 0;
}

.wp-block-image img {
    width: 100%;
    margin-bottom: 1em;
    mix-blend-mode: multiply;
}
.wp-block-image figcaption {
    margin: 0;
    width: 70%;
    font-size: 0.8rem;
    font-weight: 700;
}
.wp-block-image.two-cols {
    --gap: 1em;
    display: flex;
    gap: var(--gap);
}
.wp-block-image.two-cols img,
.wp-block-image.two-cols figcaption {
    flex: 0 0 calc((100% - var(--gap)) / 2);
    width: 100%;
    height: auto;
    min-width: 0;
}
.wp-block-image.two-cols img {
    margin-bottom: 0;
}
.entry-footer.page-content {
    margin-top: 2em;
}

/* Social share buttons */
.post-share-buttons {
    
    border-top: 1px solid #000;
}
.post-footer-section {
    padding-top: 8px;
    margin-top: 1.5em;
}

.share-buttons-list {
    display: flex;
    flex-wrap: wrap;
    gap: 12px 18px;
}

.share-button {
    --size: 40px;
    padding: 0px;
    border: none;
    background-color: transparent;
    cursor: pointer;
    width: var(--size);
    height: var(--size);
    flex: 0 0 var(--size);
}
.share-button img {
    width: 100%;
    display: block;
}
.share-button:focus {
    outline: none;
}

#post-language-selector-wrapper {
    display: flex;
    gap: 10px;
    align-items: end;
    margin-top: 12px;
    /* margin-bottom: 20px; */
}
#post-language-selector {
    --icon-size: 24px;
    --icon-width: var(--icon-size);
    --icon-height: var(--icon-size);
    --icon-thickness: 1px;
    --icon-color: #000;
    --size: 140px;
    position: relative;
    z-index: 10;
    flex: 0 0 var(--size);
}
#current-language {
    border-top: 1px solid #000;
    border-bottom: 1px solid #000;
    position: relative;
    z-index:20;
}
.language-option {
    display: block;
    border-bottom: 1px solid #000;
}
.language-option a,
.language-option span {
    display: block;
    padding: 0.6em;
}
.language-option span {
    cursor: pointer;
}
.language-option.selected {
    pointer-events: none;
    opacity: 0.5;
    /* display: none; */
    /* background-color: var(--black); */
    /* color: var(--background); */
}
.options-wrapper {
    display: none;
    position: absolute;
    bottom: 0px;
    left: 0px;
    background-color: var(--background);
    transform: translate(0, 100%);
    width: 100%;
    /* border-left: 1px solid #000; */
    /* border-right: 1px solid #000; */
    
}
#post-language-selector-wrapper[data-expanded="1"] .options-wrapper {
    display: block;
}

#google-translate-logo-wrapper {
    --size: 36px;
    flex: 0 0 var(--size);
    /* width: var(--size); */
    height: var(--size);
    background-image: url('../assets/images/google_translate_logo-monotone.svg');
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}
#current-language .icon.arrowhead-bottom {
    transition: transform 0.3s ease;
}
#current-language #arrowhead-bottom-wrapper {
    position: absolute;
    right: 0.5em;
    top: 50%;
    transform: translate(0, -50%);
}
#post-language-selector-wrapper[data-expanded="1"] #current-language .icon.arrowhead-bottom {
    transform: rotate(-180deg);
    
}
@media screen and (max-width: 768px) {
    body.single main {
        padding-top: var(--padding);
    }
}
@media screen and (min-width: 768px) {
    .share-buttons-label,
    .navigation-post-head {
        font-size: 12px;
    }
    .post-footer-section {
        padding-top: 12px;
    }
    .page-info-wrapper .author {
        /* font-size: 1.5rem; */
    }
    .entry-title {
        font-size: 2.1rem;
    }
}

@media screen and (min-width: 1024px) {
    article.post {
        position: relative;
        --inner-padding: 30px;
        --article-width: 608px;
        --aside-width: calc( (100vw - var(--article-width)) / 2);
        width: var( --article-width);
        margin-left: auto;
        margin-right: auto;
        
    }
    article.post .page-body{
        padding-bottom: 120px;
    }
    article.post .page-content,
    article.post .page-header-section {
        padding-left: 0;
        padding-right: 0;
    }
    article.post .entry-header {
        margin-bottom: 2em;
    }
    .page-info-wrapper {
        margin-top: 0;
    }
    .post-thumbnail-wrapper,
    article.post .post-thumbnail-wrapper.page-header-section {
        position: absolute;
        padding: 0;
        width: var(--aside-width);
        left: 0;
        transform: translate(-100%, 0);
        padding-left: var(--padding);
        padding-right: var(--inner-padding);
    }
    .wp-block-footnotes li {
        --top-dev: 0px;
        opacity: 1;
        pointer-events: auto;
        border: none;
        left: auto;
        right: 0;
        transform: translate(calc(100% + var(--inner-padding)), 0);
        width: calc( var(--aside-width) - var(--inner-padding));
        max-width: none;
        min-width: 0;
        padding-bottom: 20px;
        padding-left: 0;
        padding-right: var(--padding);
        padding-top: 0;
    }
    .wp-block-footnotes li:before {
        content: var(--fn-index-text) ".";
        position: absolute;
        left: 0;
        top: 0;
        font-size: 1em;
        margin-right: 0;
        margin-left: -0.3em;
        transform: translate(-100%, 0);
        vertical-align: baseline;
    }
    .footnote-close  {
        display: none;
    }
    .share-buttons-label,
    .navigation-post-head {
        font-size: 13px;
    }
    .post-footer-section {
        padding-top: 20px;
    }
    body.single .page-header ~ .page-body {
        padding-top: 2rem;
    }
    /* .entry-title {
        margin-top: 1.2em;
    } */
    .page-body sup a {
        pointer-events: none;
    }
    .share-button {
        --size: 46px;
    }
    
    #post-language-selector {
        --size: 160px;
        
    }
    #google-translate-logo-wrapper {
        --size: 36px;
    }
    .language-option a,
    .language-option span {
        padding: 0.5em;
    }
}
@media screen and (min-width: 1200px) {
    article.post {
        --article-width: 50vw;
        --inner-padding: 2.5vw;
    }
    .wp-block-image figcaption {
        font-size: 0.7rem;
    }
    #post-language-selector-wrapper {
        width: calc(var(--aside-width) - var(--padding) - var(--inner-padding));
        max-width: 300px;
        margin-top: 0px;
        position: absolute;
        z-index: 100;
        right: 0px;
        transform: translate(calc(100% + 20px), 0);
        top: 0px;
    }
    #post-language-selector {
        flex: 1;
    }
    article.post .entry-header {
        margin-bottom: 3em;
    }
}
@media screen and (min-width: 1500px) {
    .post-body {
        padding-bottom: 100px;
    }
    .navigation-post-head {
        font-size: 14px;
    }
}
@media (hover:hover) {
    .navigation-post-link:hover,
    .share-button:hover {
        opacity: 0.5;
    }
    .language-option:hover {
        opacity: 0.5;
    }
}


@media screen and (min-width:768px) {
    /* .share-button:hover {
        background-color: #000;
        color: #fff;
    } */
}
@media print {
    .entry-footer {
        display: none;
    }
    .page-body {
        padding-bottom: 0px;
    }
    .wp-block-footnotes li {
        position: static !important;
        opacity: 1;
        max-width: 70%;
        min-width: 0px;
        padding: 0px;
        border: none;
        background-color: transparent;
    }
    .wp-block-footnotes li + li {
        margin-top: 1em;
    }
    .wp-block-image {
        width: 70%;
        margin-left: auto;
        margin-right: auto;
        margin-top: 2.4em;
        margin-bottom: 2.4em;
        border-top: none;
        border-bottom: none;
    }
}